Query edge nodes
GET /api/v1/devices. Edge nodes API reference.
curl --request GET \
--url https://{apiHost}/api/v1/devices \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/devices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"modelId": "<string>",
"id": "<string>",
"description": "<string>",
"tags": {},
"utype": "UNSPECIFIED",
"serialno": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"clusterID": "<string>",
"baseImage": [
{
"uuid": "<string>",
"version": "<string>",
"imageName": "<string>",
"activate": true,
"imvolId": "<string>"
}
],
"interfaces": [
{
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
],
"debugKnob": {
"id": "<string>",
"debugKnob": true,
"expiry": "<string>",
"expired": true
},
"deploymentTag": "<string>",
"vlanAdapters": [
{
"logicalLabel": "<string>",
"interfaceName": "<string>",
"lowerLayerName": "<string>",
"vlanId": 123,
"interface": {
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
}
],
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"bondAdapter": [
{
"logicalLabel": "<string>",
"interfaceName": "<string>",
"lowerLayerNames": [
"<string>"
],
"bondMode": "BOND_MODE_UNSPECIFIED",
"mii": {
"interval": 123,
"updelay": 123,
"downdelay": 123
},
"arp": {
"interval": 123,
"ipTargets": [
"<string>"
]
},
"lacpRate": "LACP_RATE_UNSPECIFIED",
"interface": {
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
}
]
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
},
"summaryByTagDistribution": {
"description": "<string>",
"total": 123,
"values": {}
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
Summary flag
name pattern
project name
project name pattern
admin state of the device
- CREATED: Entity Created in the controller
- DELETED: Entity Deleted in the controller
- ACTIVE: Entity Activated in the controller
- INACTIVE: Entity Deactivated in the controller
- REGISTERED: Specific to Edge-node - Edge-node Registered with the controller
- ARCHIVED: Entity Archived in the controller
UNSPECIFIED, CREATED, DELETED, ACTIVE, INACTIVE, REGISTERED, ARCHIVED Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
Fields to select: id, name, title, description, tags, utype, projectId, serialno, adminState, modelId, clusterID, baseImage, interfaces, debugKnob
cluster name
cluster name pattern
username pattern who created the device
title pattern
Response
A successful response.
Device configuration request payload
Summary by state
Show child attributes
Show child attributes
device config list
Show child attributes
Show child attributes
filter next
Show child attributes
Show child attributes
Summary by project distribution
Show child attributes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://{apiHost}/api/v1/devices \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/devices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"modelId": "<string>",
"id": "<string>",
"description": "<string>",
"tags": {},
"utype": "UNSPECIFIED",
"serialno": "<string>",
"adminState": "ADMIN_STATE_UNSPECIFIED",
"clusterID": "<string>",
"baseImage": [
{
"uuid": "<string>",
"version": "<string>",
"imageName": "<string>",
"activate": true,
"imvolId": "<string>"
}
],
"interfaces": [
{
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
],
"debugKnob": {
"id": "<string>",
"debugKnob": true,
"expiry": "<string>",
"expired": true
},
"deploymentTag": "<string>",
"vlanAdapters": [
{
"logicalLabel": "<string>",
"interfaceName": "<string>",
"lowerLayerName": "<string>",
"vlanId": 123,
"interface": {
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
}
],
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"bondAdapter": [
{
"logicalLabel": "<string>",
"interfaceName": "<string>",
"lowerLayerNames": [
"<string>"
],
"bondMode": "BOND_MODE_UNSPECIFIED",
"mii": {
"interval": 123,
"updelay": 123,
"downdelay": 123
},
"arp": {
"interval": 123,
"ipTargets": [
"<string>"
]
},
"lacpRate": "LACP_RATE_UNSPECIFIED",
"interface": {
"netname": "<string>",
"adapterSpecificNet": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"kind": "NETWORK_KIND_UNSPECIFIED",
"ip": {
"deprecatedDhcp": true,
"dhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
],
"ntpServerExclusively": true
},
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"proxy": {
"networkProxy": true,
"proxies": [
{
"proto": "NETWORK_PROXY_PROTO_HTTP",
"server": "<string>",
"port": 123
}
],
"exceptions": "<string>",
"pacfile": "<string>",
"networkProxyURL": "<string>",
"networkProxyCerts": [
"aSDinaTvuI8gbWludGxpZnk="
]
},
"enterpriseDefault": true,
"mtu": 123,
"wireless": {
"type": "NETWORK_WIRELESS_TYPE_UNSPECIFIED",
"cellularCfg": {
"APN": "<string>",
"probe": {
"disable": true,
"probeAddress": "<string>",
"customProbe": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
},
"locationTracking": true,
"accessPoints": [
{
"simSlot": 123,
"apn": "<string>",
"authProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"cipherData": {
"cipherContextId": "<string>",
"initialValue": "aSDinaTvuI8gbWludGxpZnk=",
"cipherData": "aSDinaTvuI8gbWludGxpZnk=",
"clearTextSha256": "aSDinaTvuI8gbWludGxpZnk="
},
"preferredPlmns": [
"<string>"
],
"forbidRoaming": true,
"preferredRats": [
"RADIO_ACCESS_TECHNOLOGY_UNSPECIFIED"
],
"ipType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachApn": "<string>",
"attachIpType": "CELLULAR_IP_TYPE_UNSPECIFIED",
"attachAuthProtocol": "CELLULAR_AUTH_PROTOCOL_NONE",
"secrets": {
"username": "<string>",
"password": "<string>"
},
"encryptedSecrets": {},
"cryptoKey": "<string>",
"attachSecrets": {
"username": "<string>",
"password": "<string>"
},
"attachEncryptedSecrets": {}
}
],
"activatedSimSlot": 123
},
"wifiCfg": {
"wifiSSID": "<string>",
"keyScheme": "NETWORK_WIFIKEY_SCHEME_UNSPECIFIED",
"identity": "<string>",
"secret": {
"WiFiPasswd": "<string>"
},
"crypto": {
"identity": "<string>",
"password": "<string>"
},
"priority": 123,
"encryptedSecrets": {},
"cryptoKey": "<string>"
}
},
"project": {
"projectId": "<string>",
"projectName": "<string>"
}
},
"ipaddr": "<string>",
"intfname": "<string>",
"intfUsage": "ADAPTER_USAGE_UNSPECIFIED",
"tags": {},
"macaddr": "<string>",
"cost": 123,
"netid": "<string>",
"sharedLabels": [
"<string>"
],
"netDhcp": "NETWORK_DHCP_TYPE_UNSPECIFIED",
"ztype": "<string>",
"allowLocalModifications": true,
"enablePortBasedNetworkAccessControl": true,
"phylabel": "<string>",
"logicallabel": "<string>",
"phyaddrs": {},
"assigngrp": "<string>",
"parentassigngrp": "<string>",
"cbattr": {}
}
}
]
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
},
"summaryByTagDistribution": {
"description": "<string>",
"total": 123,
"values": {}
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}